Q4API Docs
Q4 APISign inGet API key
DocumentationAPI Reference
Overview
API reference
Companies
GETList companiesGETRetrieve a companyGETList sectors
Market data
GETRetrieve a quoteGETList quotesGETRetrieve price historyGETRetrieve index historyGETRetrieve market summaryGETList market moversGETList sector performanceGETList tradesGETRetrieve order book depth
WebSocket
WSQuotes streamWSTrades streamWSDepth stream
Fundamentals
GETRetrieve standardised statementsGETRetrieve as-reported statementsGETList figuresGETRetrieve ratiosGETCompare companiesGETList dividendsGETList corporate actionsGETList stock eventsGETSearch notes
Documents
GETList documentsGETRetrieve a documentGETList document pagesGETRetrieve document textGETRetrieve document summaryGETList notesGETRetrieve a noteGETList sectionsGETRetrieve a sectionGETSearch board report sections
Earnings calls
GETList earnings callsGETRetrieve an earnings callGETRetrieve a transcriptGETRetrieve call audio
Announcements
GETList announcementsGETRetrieve an announcement
Economic data
GETList seriesGETList observations
Webhooks & alerts
POSTCreate a webhookGETList webhooksDELDelete a webhookPOSTCreate an alert ruleGETList alert rulesDELDelete an alert rule
Account
GETRetrieve usage
Fundamentals

Retrieve ratios

GEThttps://api.q4.sa/v1/companies/{symbol}/ratios
Returns valuation, profitability, leverage and growth ratios by period.
Starter+

Authorization

x-api-keyheaderrequired
Your API key. See Authentication.

Path parameters

symbolstringrequired
Tadawul symbol, e.g. 2222 for Saudi Aramco. ISINs are accepted too.

Query parameters

periodstring
Period basis.
One of:annualquarterlyttm
Default: annual
historystring
How far back.
One of:1y3y5y10ymax
Default: 5y

Response

dataobject[]
The result.
period_enddate
Last day of the period.
pe_rationumber
Price to trailing earnings.
pb_rationumber
Price to book value.
ev_to_ebitdanumber
dividend_yieldnumber
roenumber
roanumber
net_marginnumber
debt_to_equitynumber
current_rationumber
revenue_growthnumber

Errors

400, 401, 403, 404, 429. Every error has the same shape: see Errors.
← Previous
List figures
Next →
Compare companies
Request
curl "https://api.q4.sa/v1/companies/2010/ratios?period=ttm" \
  -H "x-api-key: $Q4_API_KEY"
Response
{
  "data": [
    {
      "period_end": "2026-09-30",
      "pe_ratio": 21.4,
      "pb_ratio": 1.6,
      "ev_to_ebitda": 9.8,
      "dividend_yield": 0.051,
      "roe": 0.074,
      "roa": 0.043,
      "net_margin": 0.061,
      "debt_to_equity": 0.29,
      "current_ratio": 1.9,
      "revenue_growth": 0.034
    }
  ]
}